Bug 159393 - [JSC] The prototype cycle checks throws the wrong error type
Summary: [JSC] The prototype cycle checks throws the wrong error type
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Benjamin Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-03 22:08 PDT by Benjamin Poulain
Modified: 2016-07-05 14:09 PDT (History)
7 users (show)

See Also:


Attachments
Patch (4.91 KB, patch)
2016-07-03 22:09 PDT, Benjamin Poulain
no flags Details | Formatted Diff | Diff
Patch (4.67 KB, patch)
2016-07-03 22:14 PDT, Benjamin Poulain
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (792.65 KB, application/zip)
2016-07-03 23:01 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (762.38 KB, application/zip)
2016-07-03 23:04 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (638.68 KB, application/zip)
2016-07-03 23:12 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-yosemite (1.48 MB, application/zip)
2016-07-04 00:17 PDT, Build Bot
no flags Details
Patch (8.27 KB, patch)
2016-07-04 01:05 PDT, Benjamin Poulain
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (616.48 KB, application/zip)
2016-07-04 02:14 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Poulain 2016-07-03 22:08:01 PDT
[JSC] The prototype cycle checks throws the wrong error type
Comment 1 Benjamin Poulain 2016-07-03 22:09:37 PDT
Created attachment 282676 [details]
Patch
Comment 2 Benjamin Poulain 2016-07-03 22:14:59 PDT
Created attachment 282677 [details]
Patch
Comment 3 Build Bot 2016-07-03 23:01:25 PDT
Comment on attachment 282677 [details]
Patch

Attachment 282677 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1622668

New failing tests:
js/dom/cyclic-proto.html
fast/dom/Window/window-custom-prototype.html
Comment 4 Build Bot 2016-07-03 23:01:29 PDT
Created attachment 282678 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 5 Build Bot 2016-07-03 23:04:15 PDT
Comment on attachment 282677 [details]
Patch

Attachment 282677 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1622674

New failing tests:
js/dom/cyclic-proto.html
fast/dom/Window/window-custom-prototype.html
Comment 6 Build Bot 2016-07-03 23:04:18 PDT
Created attachment 282679 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2016-07-03 23:12:37 PDT
Comment on attachment 282677 [details]
Patch

Attachment 282677 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1622680

New failing tests:
js/dom/cyclic-proto.html
fast/dom/Window/window-custom-prototype.html
Comment 8 Build Bot 2016-07-03 23:12:41 PDT
Created attachment 282680 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.4
Comment 9 Build Bot 2016-07-04 00:17:33 PDT
Comment on attachment 282677 [details]
Patch

Attachment 282677 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1622908

New failing tests:
js/dom/cyclic-proto.html
fast/dom/Window/window-custom-prototype.html
Comment 10 Build Bot 2016-07-04 00:17:37 PDT
Created attachment 282690 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 11 Benjamin Poulain 2016-07-04 01:05:13 PDT
Created attachment 282694 [details]
Patch
Comment 12 Build Bot 2016-07-04 02:14:13 PDT
Comment on attachment 282694 [details]
Patch

Attachment 282694 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1623343

New failing tests:
fast/scrolling/ios/scrollTo-at-page-load.html
Comment 13 Build Bot 2016-07-04 02:14:16 PDT
Created attachment 282696 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.4
Comment 14 Geoffrey Garen 2016-07-05 10:44:33 PDT
Comment on attachment 282694 [details]
Patch

r=me
Comment 15 WebKit Commit Bot 2016-07-05 14:09:13 PDT
Comment on attachment 282694 [details]
Patch

Clearing flags on attachment: 282694

Committed r202832: <http://trac.webkit.org/changeset/202832>
Comment 16 WebKit Commit Bot 2016-07-05 14:09:17 PDT
All reviewed patches have been landed.  Closing bug.